# Preview
![Preview](https://i.imgur.com/is00Sl5.png)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait] | Sora | Skills |
| ![][passive] | Kingdom Key | Passively hover in the air. Additionally, holding the Jump key causes Sora to slide forward. Sora has a MP Gauge that lets him cast Magic for a MP cost. When MP reaches 0, Sora enters a Recovery State for 20s, during that period Magic can't be cast and Attack is greatly empowered. |
| ![][primary] | Attack | Attack forward with your Keyblade for 275% damage. Every third attack is a combo finisher that deals 325% damage. Kills recover 7 MP. |
| ![][primary2] | Attack In Recovery | Attack forward with your Keyblade for 325% damage. Every third attack is a combo finisher that deals 385% damage. All attacks can combo into each other, additionally have increased knockback to ground enemies, flying enemies have a 50% chance on hit to be stunned for 0.5s, and quickly dash through them while they're Lock-On. |
| ![][secondary] | Strike Raid | Slayer. Throw your Keyblade, piercing enemies in it's path for 460% damage. Deals an increased 40% damage for every enemy it passes through. Enemies killed by it drop a MP orb, that restores 12 MP. |
| ![][utility] | Dodge/Slide | Tap to Dodge a short distance, and become invulnerable for 0.31s. Cooldown is reduced by 1s. Hold to Slide a long distance, and become invulnerable for 0.18s. |
| ![][magic0] | Firaga | Ignite. Dash forward, unleashing a fire tornado that surrounds Sora for 1000% damage. |
| ![][magic1] | Blizzaga | Slow. Shoot a piercing burst of ice crystals for 900% damage. |
| ![][magic2] | Thundaga | Drop a lightning bolt on a target enemy, damaging nearby enemies in a large radius for 750% damage. |
| ![][magic3] | Waterga | Shoot a slow torrent of water that explodes on contact, damaging enemies in a large radius for 1000% damage. |
| ![][magic4] | Aeroga | Call a hurricane upon a target enemy's location, damaging all nearby enemies in massive area for 1375% damage. |
| ![][magic5] | Reflega | Sora is surrounded by a barrier of light for 0.85s, reflecting from all incoming damage back to the attacker, while stunning and knockbacking back. All nearby projectiles in a small radius are fired back to the attackers, stunning on contact. |
| ![][magic6] | Magnega | Create a vortex of of magnetic force that draws in all nearby enemies in a medium radius for 6s. |
| ![][magic7] | Curaga | Restore HP based on the amount of MP used. Nearby allies are healed for 50% of the same amount. |

[portrait]: https://i.imgur.com/2yqXGLv.png
[passive]: https://i.imgur.com/yiypG00.png
[primary]: https://i.imgur.com/Usy6Fvy.png
[primary2]: https://i.imgur.com/samkj6j.png
[secondary]: https://i.imgur.com/Qi8pJCZ.png
[utility]: https://i.imgur.com/RMu5ldr.png
[magic0]: https://i.imgur.com/jbYEYf3.png
[magic1]: https://i.imgur.com/Nr527Fz.png
[magic2]: https://i.imgur.com/Ox73d0Y.png
[magic3]: https://i.imgur.com/fvvdl83.png
[magic4]: https://i.imgur.com/TIkVjJW.png
[magic5]: https://i.imgur.com/nx1hW0f.png
[magic6]: https://i.imgur.com/EQnLsZB.png
[magic7]: https://i.imgur.com/hs464c2.png

[ranged]: https://i.imgur.com/OKl6mCi.png
[close]: https://i.imgur.com/4pz1hjR.png
[melee]: https://i.imgur.com/jyzySYU.png
[lockon]: https://i.imgur.com/XMo25nN.png

## Features

### Slick HUD
- HP/MP HUD + Skin Portraits
- Magic Selection HUD
- Custom crosshair with Magic selection info

![Preview](https://i.imgur.com/mif8opZ.png)

### Lock-On
- How Lock-On works:
  - You have a passive aim indicator, enemies are marked differently depending on your distance.
  - You can Lock-On by pressing a configurable key (Default: "F").
  
| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][ranged] | Ranged | At any time you're far away from the enemy. |
| ![][close] | Close  | When you're close enough that you *might* hit with Attack. |
| ![][melee] | Melee  | Guaranteed Attack strike. |
| ![][lockon] | Lock-On  | Locked onto an enemy. Spells and Attacks will be cast towards it, independant of your distance to the target. |

### Controller Support
- Controllers work with the new inputs required for the mod's mechanics, but you **must** have [ExtraSkillSlots](https://thunderstore.io/package/KingEnderBrine/ExtraSkillSlots/) installed.

![Preview](https://i.imgur.com/7NYuzoj.png)

### English/Japanese Voice Over
- You can enable Japanese VO in the configs. 
  - Riku only has english VO, and it's pretty limited on line variations. 
  - Anti Form skin does not play VO.

![Preview](https://i.imgur.com/KFNSoRL.png)

# Commission
![](https://i.imgur.com/bq7nkYz.png)
### This contact is for commission inquiries ONLY, for ANYTHING else ping me on ror2 modding discord.

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Sora" dll to your plugins folder

3 - Have fun!

# Credits

Reik Nomkcalb - Commissioning this mod.

Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.0.2` 
- Another mod update just to fix the readme, thank you to all users who voted for a mod page wiki that nobody uses instead of a useful feature such as easy readme updates.

`1.0.1` 
- Attack
 - Can only be cast while there is a target in close range.
 - Kills now recover 7 MP while out of recovery.
 - Small movement speed scaling, even less while in recovery.

`1.0.0` 
- Release
